routes/web.php
<?php

Route::get('/', function () {
    return view('auth.login');
});


// Route::get('even', function () {
// 	    event(new \App\Events\NuevaOrdenEvent('MOOOOOOOOOOOOOOOOOOOOOOOY'));
// 	    //return "Event has been sent!";
// 		//dd(event(new \App\Events\NuevaOrdenEvent('hello world')));
// 	});

Route::post('ocr', 'OcrController@readImage');

Route::get('ocr/test', 'OcrController@test');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

// Route::get('auth/{provider}', 'Auth\SocialAuthController@redirectToProvider')->name('social.auth');
// Route::get('auth/{provider}/callback', 'Auth\SocialAuthController@handleProviderCallback');

Route::get('auth/google', 'Auth\GoogleController@redirectToGoogle');
Route::get('auth/google/callback', 'Auth\GoogleController@handleGoogleCallback');

Route::get('auth/facebook', 'Auth\FacebookController@redirectToFacebook');
Route::get('auth/facebook/callback', 'Auth\FacebookController@handleFacebookCallback');

Route::group(['middleware' => 'auth'], function(){

	Route::resource('roles', 'RoleController');
	Route::resource('permissions', 'PermissionsController');
	
	Route::group(['middleware' => ['Administrador']], function () {
		Route::resource('users', 'UsersController');
	});

	Route::resource('passwords', 'ReiniciarPasswordController');
	Route::resource('persona', 'PersonaController');

	Route::resource('archivo','ControllerArchivo');
	Route::resource('repositorio','ControllerRepositorioArchivo');
	Route::resource('comparar','ArchivoCompararController');
	
	Route::resource('categoriaproyectos','CategoriaProyectoController');
	Route::resource('proyectos','ProyectoController');
	Route::resource('asignacion','AsignacionController');
	Route::resource('gestionversiones','GestionVersionController');
	Route::resource('archivoproyecto','GestorArchivoController');
	Route::resource('usuariobloqueado','UserBloqueadoController');
	Route::resource('ocr', 'OcrController');
	Route::resource('redaccion', 'RedaccionController');
	Route::resource('plagionline', 'GoogleSearchController');
	
	

	//Roles
	Route::get('list_roles', 'RoleController@list_roles');
	Route::PUT('actualizarRoles/{criterio}', 'RoleController@actualizarRoles');
 
	//Usuario
	Route::get('/list_user', 'UsersController@list_user');
	Route::get('/bajaUsuario', 'UsersController@bajaUsuario');
	Route::get('/activarUsuario', 'UsersController@activarUsuario');
	
	Route::get('profile', 'UsersController@profile');
	Route::put('actualizardatos/{criterio}', 'UsersController@actualizardatos');

	Route::post('storePersonalizar','UsersController@storePersonalizar')->name('personalizar.store');
	Route::get('getPersonalizar','UsersController@getPersonalizar')->name('personalizar.show');
	
	Route::PUT('addRole/{criterio}/{role}','UsersController@addRole');
	//usuario bloqueado
	Route::get('/list_userbloqueado', 'UserBloqueadoController@list_userbloqueado');
	Route::get('/activarUsuarioBloqueado', 'UserBloqueadoController@activarUsuarioBloqueado');
	
	//ip bloqueo
	Route::get('/list_ipbloqueado', 'UserBloqueadoController@list_ipbloqueado');
	Route::post('/storeIp', 'UserBloqueadoController@storeIp')->name('blockip.store');
	Route::get('/activarIpBloqueado', 'UserBloqueadoController@activarIpBloqueado');
	
	//Persona
	Route::get('/listar_personas', 'PersonaController@listar_personas');
	Route::get('/get_allciudades', 'PersonaController@get_allciudades');
	Route::get('/get_usuariosdisponibles', 'PersonaController@get_usuariosdisponibles');
	
	Route::get('/get_allUsuarios', 'PersonaController@get_allUsuarios');
	Route::post('/actualizarPersonal/{id}', 'PersonaController@actualizarPersonal');


	//tipoarchivo
	Route::get('listar_tparchivos','ControllerArchivo@listar_tparchivos');
	Route::get('listar_extension','ControllerArchivo@listar_extension');
	Route::get('editExtension/{criterio}','ControllerArchivo@editExtension');
	Route::post('storeExtension','ControllerArchivo@storeExtension')->name('extension.store');
	Route::put('updateExtension/{criterio}','ControllerArchivo@updateExtension')->name('extension.update');
	Route::get('bajaExtension','ControllerArchivo@bajaExtension');
	Route::get('activarExtension','ControllerArchivo@activarExtension');
	Route::get('getArchivo','ControllerArchivo@getArchivo');

	//Repositorio
	Route::get('getExtensiones','ControllerRepositorioArchivo@getExtensiones');
	Route::get('getArchivo/{criterio}','ControllerRepositorioArchivo@getArchivo');
	Route::get('listar_repositorio','ControllerRepositorioArchivo@listar_repositorio');
	Route::post('actualizarrepositorio','ControllerRepositorioArchivo@actualizarrepositorio');

	//ArchivoComparar

	Route::get('listar_comparar','ArchivoCompararController@listar_comparar');
	Route::get('leerDocumento','ArchivoCompararController@leerDocumento');
	Route::get('convertirPDF','ArchivoCompararController@convertirPDF');
	Route::get('getArchivo2/{criterio}','ArchivoCompararController@getArchivo2');
	Route::get('getComparacion/{fileres}/{file}','ArchivoCompararController@getComparacion');

	//resultado
	Route::get('listar_resultados','ArchivoCompararController@listar_resultados');
	Route::get('resultadoIndex','ArchivoCompararController@resultadoIndex')->name('resultado.index');
	Route::get('getResultados','ArchivoCompararController@getResultados');

	//proyectos
	Route::get('listar_proyectos','ProyectoController@listar_proyectos');

	Route::get('estadoProyecto','ProyectoController@estadoProyecto');
	Route::get('getArchivoProyecto/{criterio}','ProyectoController@getArchivoProyecto');

	//Asignacion usuario
	Route::get('actualizarAsignacion','AsignacionController@actualizarAsignacion');
	Route::get('listar_asignacion','AsignacionController@listar_asignacion');

	//Gestor Archivos
	Route::get('listar_archivosp/{criterio}','ProyectoController@listar_archivosp');
	Route::get('getDocumento/{criterio}/{name}','GestorArchivoController@getDocumento');
	Route::get('listadoDirectorio/{id}/{criterio}/{ini}/{original}','GestorArchivoController@listadoDirectorio');
	
	Route::get('eliminarArchivo/{dir}/{dirhere}/','GestorArchivoController@eliminarArchivo');
	Route::get('leerDocumento2','GestorArchivoController@leerDocumento2');
	Route::get('listar_resultados2','GestorArchivoController@listar_resultados2');
	Route::get('resultadoproyecto','GestorArchivoController@resultadoproyecto')->name('resultadoproyecto.index');
	Route::get('getResultados2','GestorArchivoController@getResultados2');
	//categoria proyecto
	Route::get('listar_Categorias','CategoriaProyectoController@listar_Categorias');

	//gestionversiones
	Route::get('listar_Versiones/{criterio}','GestionVersionController@listar_Versiones');
	Route::get('getVersion/{criterio}','GestionVersionController@getVersion');
	Route::get('getCambios/{criterio}','GestionVersionController@getCambios');
	Route::delete('eliminarVersion','GestionVersionController@eliminarVersion');
	Route::get('getVersion2/{criterio}','GestionVersionController@getVersion2');


	//OCR
	Route::get('listar_ocr','OcrController@listar_ocr');
	Route::get('leerDocumentoOCR','OcrController@leerDocumentoOCR');
	Route::get('getArchivoOcr/{criterio}','OcrController@getArchivoOcr');
	Route::delete('eliminarArchivoOcr/{criterio}','OcrController@eliminarArchivoOcr');
	
	Route::get('recortarImagen','OcrController@recortarImagen');

	//Redaccion
	Route::get('listar_redacciones','RedaccionController@listar_redacciones');
	Route::get('veredaccion/{criterio}','RedaccionController@indexEditor');
	Route::get('getRedaccion/{criterio}','RedaccionController@getRedaccion');
	Route::post('guardarTexto','RedaccionController@guardarTexto');
	Route::delete('eliminarRedaccion/{criterio}','RedaccionController@eliminarRedaccion');
	Route::post('storeUsuario','RedaccionController@storeUsuario')->name('adduser.store');

	//api google
	Route::get('gerResultados/{contenido}', 'GoogleSearchController@gerResultados');
	Route::get('indexGoogleSearch/{contenido}', 'GoogleSearchController@indexGoogleSearch');
});

Route::get('clear-cache', function() {
    $exitCode = Artisan::call('config:clear');
    $exitCode = Artisan::call('cache:clear');
    $exitCode = Artisan::call('config:cache');
    
    return 'DONE';
}); ;
Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Proyecto.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Proyecto extends Model
{
	protected $table = "proyectos";

    protected $fillable = ['nombre','descripcion','tipo_proyecto','categoria_proyecto_id','user_id','baja'];

}

app/Http/Controllers/ProyectoController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Proyecto;
use App\Asignacion;
use App\User;
//use App\Role;
use App\ArchivosProyecto;
use App\CategoriaProyecto;
use ZipArchive;
use App\UserProyecto;

use Carbon\Carbon;
use Illuminate\Support\Facades\DB;
use DataTables;
use Illuminate\Support\Facades\Auth;
class ProyectoController extends Controller
{
    

    public function index()
    {
        $CategoriaProyecto = CategoriaProyecto::pluck('nombre','id');
        return view('admin.proyectos.index')
                ->with('CategoriaProyecto',$CategoriaProyecto); 
    }

    public function listar_proyectos()
    {
        $proyecto =  DB::table('proyectos as p')
        ->join('categoria_proyecto as cp','cp.id','=','p.categoria_proyecto_id')
        ->join('users as u','u.id','=','p.user_id')
        ->select('p.*',
                    'u.username','cp.nombre as nombre_categoria')
        ->get();
        if(request()->ajax()){
        return Datatables::of($proyecto)
         ->rawColumns( ['id','nombre','username','created_at'])
         ->editColumn('created_at', function ($proyecto) {
                $dt = Carbon::create($proyecto->created_at)->locale('es');
                $fecha = $dt->day.' '.$dt->monthName.' '.$dt->year;
                return $fecha;
            })
         ->make(true);
        }else{
            abort('404');
        }
    }



    public function listar_archivosP($criterio){
        $user = Auth::user();
        if($user->role->name == 'Administrador')
        {
            $check = DB::table('asignaciones')
                ->where('proyecto_id',$criterio)
                //->where('user_id',$user->id)
                ->exists();
        }else {

            $check = DB::table('asignaciones')
                ->where('proyecto_id',$criterio)
                ->where('user_id',$user->id)
                ->exists();
        }
        if($check)
        {            
            $archivo = DB::table('archivosproyecto as ap')
                ->join('users as u','u.id','=','ap.user_id')
                ->select('ap.*',
                            'u.username')
                ->where('ap.proyecto_id',$criterio)
                ->get();
        }else{
            $archivo = DB::table('archivosproyecto as ap')
                ->join('users as u','u.id','=','ap.user_id')
                ->select('ap.*',
                            'u.username')
                ->where('ap.proyecto_id',0)
                ->get(); 
        }

        if(request()->ajax()){
        return Datatables::of($archivo)
         ->rawColumns( ['id','nombre','username','created_at'])
         ->editColumn('created_at', function ($archivo) {
                $dt = Carbon::create($archivo->created_at)->locale('es');
                $fecha = $dt->day.' '.$dt->monthName.' '.$dt->year;
                return $fecha;
            })
         ->make(true);
        }else{
            abort('404');
        }
    }

    public function create()
    {
        //
    }

    public function store(Request $request)
    {
        if($request->ajax())
        {
            $Proyecto = new Proyecto($request->all());
            $Proyecto->user_id = Auth::user()->id;
            $Proyecto->save();
            
            $Asignacion = new Asignacion();
            $Asignacion->proyecto_id = $Proyecto->id;
            $Asignacion->user_id = Auth::user()->id;
            $Asignacion->creadopor = Auth::user()->id;
            $Asignacion->save();

            if(Auth::user()->hasRole('JefeProyecto') == false)
            {
                Auth::user()->assignRole('JefeProyecto');
                //dd($user->hasRole($request->input('roles')));
            }

            return response()->json($Proyecto);
        }
    }
  
    public function estadoProyecto(Request $request)
    {

        if($request->criterio == '1')
        {
            $Proyecto = Proyecto::find($request->id);
            $Proyecto->baja = "SI";
            $Proyecto->save();
            $mensaje = "El proyecto fue dado de baja";
        }else{
            $Proyecto = Proyecto::find($request->id);
            $Proyecto->baja = "NO";
            $Proyecto->save();
            $mensaje = "El proyecto fue activado";
        }

        return response()->json($mensaje);
    }

    public function getArchivoProyecto($criterio)
    {
        $user = Auth::user();
        $datos = ArchivosProyecto::find($criterio);
        $proyecto = Proyecto::find($datos->proyecto_id);
        $route = public_path() .'/proyectos2/'.$proyecto->nombre.'/'.$datos->archivo;
        if($user->role->name == 'Administrador')
        {           
            $headers = array(
                      'Content-Type: application/pdf',
                    );
            
            return response()->download($route, $datos->archivo, [], 'inline');
        }else{

            //$check = DB::table('archivosproyecto')->where('user_id',$user->id)->exists();
            $check = DB::table('asignaciones')
                    ->where('user_id',$user->id)
                    ->where('proyecto_id',$proyecto->id)->exists();
            if($check)
            {
                $headers = array(
                          'Content-Type: application/pdf',
                        );
                
                $nameFile = $datos->url;
                return response()->download($route, $datos->archivo, [], 'inline');
            }else {
                $nopermiso = "El archivo no te pertenece, contáctese con el administrador";
                return redirect()->route('home')->with(compact('nopermiso'));
            }
        }

    }

    public function show($id)
    {
        //
    }

    public function edit($id)
    {
        $Proyecto = Proyecto::find($id);
        return $Proyecto;
    }


    public function update(Request $request, $id)
    {
        $Proyecto = Proyecto::find($id);
        $Proyecto->nombre = $request->nombre;
        $Proyecto->descripcion  = $request->descripcion;
        $Proyecto->tipo_proyecto = $request->tipo_proyecto;
        $Proyecto->categoria_proyecto_id  = $request->categoria_proyecto_id ;
        $Proyecto->save();

        return response()->json($Proyecto);
    }

    public function updateAsignacion(Request $request, $id)
    {
        $Asignacion = Asignacion::find($id);
        $Asignacion->proyecto_id = $request->proyecto_id;
        $Asignacion->user_id = $request->user_id;
        $Asignacion->tiempo = $request->tiempo;
        $Asignacion->roleproyecto_id = $request->roleproyecto_id;
        $Asignacion->save();
        return response()->json($Asignacion);
    }

    public function destroy($id)
    {
        //
    }



}

resources/views/admin/proyectos/index.blade.php
@extends('template.app')

@section('title','Proyectos')
@section('main-content')

<div class="row">
	<div class="col-md-12">
        <!-- if(Auth::user()->role->permission->add == 1) -->
		<div align="left" style="border:auto;">
		    <button type="button" class="btn btn-info"  data-toggle="modal" data-target="#modal-Rproyecto">
		        Nuevo Proyecto
		    </button>
		</div>
        <!-- endif -->
		<hr>
		<div class="table-responsive">
		    <table id="Tabla-Proyecto" class="table table-bordered table-striped" width="100%">
		        <thead>  
		            <tr> 
		                <th>#</th>
		                <th>NOMBRE DEL PROYECTO</th>
                        <th>CATEGORIA PROYECTO</th>
		                <th>CREADO POR</th>
                        <th>ESTADO</th>
                        <th>FECHA</th>
		                <th>ACCION</th>
		            </tr>
		        </thead>
		        <tbody style="text-align: center;">
 
		        </tbody>
		    </table>
		</div>
	</div>
</div>
@include('admin.proyectos.modal-crear')
@include('admin.proyectos.modal-editar')

@endsection

@section('js')
<script type="text/javascript">

	function activar_tabla_proyecto() {
    	var t = $('#Tabla-Proyecto').DataTable({
        "processing"  : true,
        "serverSide"  : true,
        "searchDelay" : 500 ,
        "lengthMenu": [5,10, 25, 50, 75 ],
        "responsive": true,
        "language": {
        "url": '{!! asset('/plugins/datatables.net/latino.json') !!}',
        },
        "ajax":'{!! url('listar_proyectos') !!}',
        columns: [
            {data: 'id' },
            {data: 'nombre' },
            {data: 'nombre_categoria' },
            {data: 'username' },
            {data: 'baja' ,
                render: function(data, type, row, meta) {
                    var html = ''
                    if ( row.baja == 'NO' )
                    {
                        html = '<span class="badge badge-success" style="width:80px;"> Activo </span>';
                                
                    }else {
                        html = '<span class="badge badge-danger" style="width:80px;"> Inactivo </span>';
                    }
                    return html;
                }
            },
            {data: 'created_at' },
            {
            "defaultContent" : " ",
            "searchable" : false,
            "orderable" : false,
            "render" : function(data, type, row, meta) {
                var html='<div class="form-group" >';

                    html+='<a style="width:100px; margin:5px;" data-toggle="modal" data-target="#modal-Eproyecto" class="btn btn-warning btn-xs text-white" onclick="llenarDatosEdit('+row.id+');"><i class="fas fa-wrench"></i> Editar </a> </br>';
                    if(row.baja == 'NO')
                        html+='<a style="width:100px; margin:5px;" class="btn btn-danger btn-xs text-white" onclick="estadoProyecto('+row.id+',1);"><i class="fas fa-wrench"></i> Dar de Baja </a> </br>'; 
                    else
                        html+='<a style="width:100px; margin:5px;" class="btn btn-success btn-xs text-white" onclick="estadoProyecto('+row.id+',2);"><i class="fas fa-wrench"></i>Activar</a> </br>';

                html +="</div>";
                return html;
            },
        }]
    });

    	t.on( 'draw.dt', function () {
        var PageInfo = $('#Tabla-Proyecto').DataTable().page.info();
             t.column(0, { page: 'current' }).nodes().each( function (cell, i) {
                cell.innerHTML = i + 1 + PageInfo.start;
            } );
        } );
    } 
    activar_tabla_proyecto();

	function cargarextension()
	{	
		var route = "{{url('getExtensiones')}}";
		$.ajax({
			url:route,
			method : 'get',
			success: function(data){
				var extension = [];
				for(var i=0; i<data.length; i++)
				{
					extension.push(data[i].extension.toLowerCase());
				}
				$('#RFarchivo').fileinput('destroy').fileinput(
                {
                	language: 'es',
			        dropZoneEnabled: false,
			        showUpload : false,
			        allowedFileExtensions: extension
               	});

               	$('#EFarchivo').fileinput('destroy').fileinput(
                {
                	language: 'es',
			        dropZoneEnabled: false,
			        showUpload : false,
			        allowedFileExtensions: extension
               	});
			}
		})
	}
	//cargarextension();

    $("#btnRproyecto").click(function(){
        $("#Rnombre").val($("#Rnombre").val().toUpperCase());
        var nombre = $("#Rnombre").val();
        var descripcion = $("#Rdescripcion").val();
        var tipo_proyecto = $('input[name=option]:checked').val();
        var categoria_proyecto_id = $("#Rcategoria_id").val();
        var route = "{{route('proyectos.store')}}";
        var token = $("input[name=_token]").val();
        $.ajax({  
            url:route,
            method:'POST',
            headers : {'X-CSRF-TOKEN':token},
            dataType:'json',
            data: {nombre,descripcion,tipo_proyecto,categoria_proyecto_id},
            success : function(data){                 
                $("#modal-Rproyecto").modal('toggle');
                toastr.success('Proyecto Registrado');
                $("#Tabla-Proyecto").DataTable().ajax.reload();
            },
            error : function(data){
                toastr.error('ERROR');
            }
        });
    });

    $("#btnEproyecto").click(function(){
        var criterio = $(".idProye").val();
        $("#Rnombre").val($("#Rnombre").val().toUpperCase());
        var nombre = $("#Enombre").val();
        var descripcion = $("#Edescripcion").val();
        var tipo_proyecto = $('input[name=option2]:checked').val();
        var categoria_proyecto_id = $("#Ecategoria_id").val();
        var route = "{{url('proyectos')}}/"+criterio;
        var token = $("input[name=_token]").val();
        $.ajax({  
            url:route,
            method:'PUT',
            headers : {'X-CSRF-TOKEN':token},
            dataType:'json',
            data: {nombre,descripcion,tipo_proyecto,categoria_proyecto_id},
            success : function(data){                 
                $("#modal-Eproyecto").modal('toggle');
                toastr.success('Proyecto Actualizado');
                $("#Tabla-Proyecto").DataTable().ajax.reload();
            },
            error : function(data){
                toastr.error('ERROR');
            }
        });
    });

    function llenarDatosEdit(criterio){
        $("#FRNEproyecto").trigger("reset");
        var route = "{{url('proyectos')}}/"+criterio+'/edit';
        $.get(route, function(data){
            $("#Enombre").val(data.nombre)
            $("#Edescripcion").val(data.descripcion)
            var $radios = $('input:radio[name=option2]');
            //if($radios.is(':checked') === false) {
                $radios.filter('[value='+data.tipo_proyecto+']').prop('checked', true);
            //}
            //$("#Etipo_proyecto").val(data.tipo_proyecto)
            $("#Ecategoria_id").val(data.categoria_proyecto_id)
            $(".idProye").val(data.id)
        });
    }

    function estadoProyecto(id,criterio)
    {
        //console.log(criterio);
        if(criterio == 1)
            var texto = "Esta seguro dar de baja el registro seleccionado?"
        else
            var texto = "Esta seguro de Activar el registro seleccionado?"
        swal({
            title: "CONFIRMAR",
            text: texto,
            buttons: ["Cancelar", "Confirmar"],
        })
        .then((willDelete) => {
          if (willDelete) {
            var route = "{{url('estadoProyecto')}}";
            $.ajax({
                url: route,
                method: 'get',
                data:{id,criterio},
                success: function(data) {
                    toastr.success(data);  
                    $('#Tabla-Proyecto').DataTable().ajax.reload();
                   
                }
            });
          }  
        });
    }

    function cambio (){
        var route = "{{url('getPersonalizar')}}"
        var token = $("input[name=_token]").val();
        $.ajax({
            url : route,
            headers : {'X-CSRF-TOKEN':token},
            method : 'get',
            //dataType : 'json',
            //data : estiloGlobal,
            success : function (data)
            {
                for (var i = 0; i < data.length; i++) {
                if(data[i].nav_type != null)
                    $(".pcoded").attr("nav-type", data[i].nav_type);
                if(data[i].navbar_logo != null) 
                    $(".navbar-logo").attr("logo-theme", data[i].navbar_logo)
                if(data[i].pcoded_navigatio_lavel != null)
                    $(".pcoded-navigatio-lavel").attr("menu-title-theme", data[i].pcoded_navigatio_lavel)
                if(data[i].pcoded_header != null)
                    $(".pcoded-header").attr("header-theme", data[i].pcoded_header)
                if(data[i].pcoded_navbar != null)                        
                    $(".pcoded-navbar").attr("navbar-theme", data[i].pcoded_navbar)
                if(data[i].active_item_them != null)
                    $(".pcoded-navbar").attr("active-item-theme", data[i].active_item_them)
                if(data[i].sub_item_theme != null)
                    $(".pcoded-navbar").attr("sub-item-theme", data[i].sub_item_theme)
                if(data[i].themebg_pattern != null)
                    $("body").attr("themebg-pattern", data[i].themebg_pattern)
                if(data[i].vertical_effect != null)
                    $(".pcoded").attr("vertical-effect", data[i].vertical_effect)
                if(data[i].item_border_style != null)
                    $(".pcoded-navbar .pcoded-item").attr("item-border-style", data[i].item_border_style)
                if(data[i].dropdown_icon != null)
                    $(".pcoded-navbar .pcoded-hasmenu").attr("dropdown-icon", data[i].dropdown_icon)
                if(data[i].subitem_icon != null)
                    $(".pcoded-navbar .pcoded-hasmenu").attr("subitem-icon", data[i].subitem_icon)
                var usuario = '{{Auth::user()->id}}';
                if(data[i].imagen != null)
                {
                    var url = 'personalizado/user/'+usuario+'/'+data[i].imagen;
                    $('head').append('<style>.main-menu:before{content: ""; background-image: url('+url+'); background-size: cover; position: absolute; top: 0px; right: 0px; bottom: 0px; left: 0px; opacity: 0.2;}</style>');
                    
                }
                }
                
            },
            error : function (data){
                toastr.error("ERROR");
            }
        })
    };

    cambio(); 
</script>
<style type="text/css">
	.fileinput-upload-button{
		background-color: red;
		color: white;
	}
	.fileinput-upload-button::hover{
		color:white;
	}
</style>
@endsection

resources/views/admin/proyectos/modal-editar.blade.php
<div class="modal fade" id="modal-Eproyecto" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
	<div class="modal-dialog">
		{!! Form::open(['id'=> 'FRNEproyecto','autocomplete' => 'off']) !!}
		<div class="modal-content">
		  	<div class="modal-header bg-primary">
		    	<h5 class="modal-title" >Formulario Actualizar Proyecto</h5>
			    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
			      	<span aria-hidden="true">&times;</span>
			    </button>
		  	</div>
		  	<input type="hidden" class="idProye" value="">
		  	<div class="modal-body">
				<div class="form-group">
					<div class="row">
						<div class="col-md-12">
							{!! Form::label('type','Nombre Proyeto') !!}
							{!! Form::text( 
								'nombre',null,
								['class'=>'form-control',
								'placeholder' =>'Nombre del Proyecto',
								'id'=>'Enombre']) !!}
						</div>
						<div class="col-md-12">
							{!! Form::label('type','Descripcion') !!}
							{!! Form::text( 
								'descripcion',null,
								['class'=>'form-control',
								'placeholder' =>'Descripcion del Proyecto',
								'id'=>'Edescripcion']) !!}
						</div>
						<div class="col-md-12">
							{!! Form::label('type','Tipo Proyecto') !!}<br>
								<label>
							{{ Form::radio('status', 'Publico', null,['class'=>'Etipo_proyecto','name'=>'option2']) }} <span>Publico</span> 
							</label><br>
							<label>
							{{ Form::radio('status', 'Privado', null ,['class'=>'Etipo_proyecto','name'=>'option2']) }} <span>Privado</span>
							</label>

						</div>
						<div class="col-md-12">
							{!! Form::label('type','Categoria Proyeto') !!}
							{!! Form::select(
							'categoria_proyecto_id',$CategoriaProyecto,
							null,
							['class'=>'form-control',
							'placeholder'=>'Seleccione una Opcion...',
							'id'=>'Ecategoria_id']) !!} 
						</div>
					</div>
				</div>
		  	</div>
		  	<div class="modal-footer">
			    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
			    {!!link_to('#', $title='Actualizar Proyecto', 
				$attributes = ['id'=>'btnEproyecto', 'class'=>'btn btn-primary'])!!}
		  	</div>
		</div>
		{!! Form::close() !!}
	</div>
</div>